# OpenLayers.Protocol.SOS.v1_0_0

An SOS v1.0.0 Protocol for vector layers. Create a new instance with the OpenLayers.Protocol.SOS.v1_0_0 constructor.

#### Inherits from

- OpenLayers.Protocol

Summary

OpenLayers.Protocol.SOS.v1_0_0 | An SOS v1.0.0 Protocol for vector layers.
Properties |
fois | {Array(String)} Array of features of interest (foi)
Constructor |
OpenLayers.Protocol.SOS | A class for giving layers an SOS protocol.
Functions |
destroy | Clean up the protocol.
read | Construct a request for reading new sensor positions.

### Properties

### fois

{Array(String)} Array of features of interest (foi)

### Constructor

### OpenLayers.Protocol.SOS

A class for giving layers an SOS protocol.

#### Parameters

options | {Object} Optional object whose properties will be set on the instance. Valid options properties:
url | {String} URL to send requests to (required).
fois | {Array} The features of interest (required).

### Functions

### destroy

> destroy: function()

Clean up the protocol.

### read

> read: function( | options | )

Construct a request for reading new sensor positions. This is done by issuing one GetFeatureOfInterest request.

> destroy: function()

Clean up the protocol.

> read: function( | options | )

Construct a request for reading new sensor positions.
An SOS v1.0.0 Protocol for vector layers.
Abstract vector layer protocol class.
Close